HIPAA, Security Vulnerabilities and Patching – JD Supra (press release)


JD Supra (press release)
HIPAA, Security Vulnerabilities and Patching
JD Supra (press release)
In its most recent Cybersecurity Newsletter, OCR focuses on the intersection of HIPAA and information security. To be sure, HIPAA requires covered entities and business associates to address their organizations' information security. This obligation

Refer Here for Original Post and Source http://news.google.com/news/url?sa=t&fd=R&ct2=us&usg=AFQjCNEstoTJa8xeBAxkgVUtsrSODWmkSw&clid=c3a7d30bb8a4878e06b80cf16b898331&ei=OKo8W5C8BteaqQL0yL7QAQ&url=http://www.jdsupra.com/legalnews/hipaa-security-vulnerabilities-and-25715/

Robert Crossland

Author Robert Crossland

More posts by Robert Crossland